#include <Servo.h>
#define SERVO_L 3
#define SERVO_R 4
Servo servo_L;  // create servo object to control a servo
Servo servo_R;

int pos_L = 0;
int pos_R = 0;
int clawClose;
int clawOpen;

#define BUTTON 2
int button_state = 2;

void claw_open() {

 

    // in steps of 1 degree
    // servo_L.write(pos);              // tell servo to go to position in variable 'pos'
    servo_R.write(90);
    servo_L.write(90);
   
 
}

void claw_close() {

  
    //servo_L.write(pos);              // tell servo to go to position in variable 'pos'
    servo_R.write(0);
    servo_L.write(180);
  
  
  
}

void setup() {
  Serial.begin(9600);

  pinMode(BUTTON, INPUT_PULLUP); //button internal pullup pin 2

  servo_L.attach(SERVO_L);  // attaches the servo on pin 5 to the servo object
  servo_R.attach(SERVO_R);
}

void loop() {
  int claw_button = digitalRead (BUTTON); //initializes claw_button as value of button press
  Serial.println(claw_button); //prints state of claw_button to serial

  //opening & closing of claw:

  if (claw_button == LOW) {
    button_state++;
    if ((button_state % 2) != 0) {
      servo_L.attach(SERVO_L);
      servo_R.attach(SERVO_R);
      claw_open();

    }
    else {
      servo_L.attach(SERVO_L);
      servo_R.attach(SERVO_R);
      claw_close();
      servo_L.detach();
      servo_R.detach();
    }
  }

}
